export declare function inferSpec({ path, namedExport, resolveFrom, pkgPathAliases, }: {
    path: string;
    namedExport?: string;
    resolveFrom?: string;
    pkgPathAliases?: Record<string, string>;
}): Promise<{
    ksTemplateSpec: {
        isInferred: true;
        props: import("@knapsack/types").JsonSchemaObject;
        slots: {
            [name: string]: import("@knapsack/types").KsSlotInfo;
        };
        extraDocs: {
            id: string;
            title: string;
            description?: string;
            tableRows?: {
                [columnTitle: string]: string;
            }[];
        }[];
        hidePropsTable: true;
        hideSlotsTable: true;
    };
    inputs: {
        propName: string;
        templateName: string;
        required?: boolean;
    }[];
    outputs: {
        propName: string;
        templateName: string;
    }[];
}>;
//# sourceMappingURL=infer-spec.d.mts.map