import '@angular/compiler';
import { Type } from '@angular/core';
interface ICollection {
    [p: string]: any;
}
/**
 * Returns the property name, if it can be accessed with dot notation. If not,
 * it returns `this['propertyName']`.
 */
export declare const formatPropInTemplate: (propertyName: string) => string;
/**
 * Converts a component into a template with inputs/outputs present in initial props
 * @param component
 * @param initialProps
 * @param innerTemplate
 */
export declare const computesTemplateFromComponent: ({ component, initialProps, innerTemplate, }: {
    component: Type<unknown>;
    initialProps?: ICollection;
    innerTemplate?: string;
}) => Promise<string>;
/**
 * Converts a component into a template with inputs/outputs present in initial props
 * @param component
 * @param initialProps
 * @param innerTemplate
 */
export declare const computesTemplateSourceFromComponent: ({ component, initialProps, }: {
    component: Type<unknown>;
    initialProps?: ICollection;
}) => string;
export {};
//# sourceMappingURL=computes-template-from-component.d.mts.map